Ubuntu

“cups” 1.4.6-5ubuntu1.4 source package in Ubuntu

Changelog

cups (1.4.6-5ubuntu1.4) natty-security; urgency=low

  * SECURITY UPDATE: arbitrary code execution via missing code words
    - debian/patches/CVE-2011-2896.dpatch: improve logic in
      filter/image-gif.c.
    - CVE-2011-2896
  * SECURITY UPDATE: arbitrary code execution via incorrect code word
    handling
    - debian/patches/CVE-2011-3170.dpatch: don't overflow in
      filter/image-gif.c.
    - CVE-2011-3170
 -- Marc Deslauriers <email address hidden>   Mon, 12 Sep 2011 09:02:13 -0400

Upload details

Uploaded by:
Marc Deslauriers on 2011-09-12
Uploaded to:
Natty
Original maintainer:
Ubuntu Developers
Component:
main
Architectures:
any
Section:
net
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size MD5 Checksum
cups_1.4.6.orig.tar.gz 5.2 MiB e56aaff5a0a3c339d5733675a443b1ce
cups_1.4.6-5ubuntu1.4.diff.gz 516.3 KiB 2c097a16bc7466a77d7c1143c9229574
cups_1.4.6-5ubuntu1.4.dsc 2.8 KiB 18af313fe789ec6488d73d1b59728fca

Binary packages built by this source

cups: No summary available for cups in ubuntu natty.

No description available for cups in ubuntu natty.

cups-bsd: No summary available for cups-bsd in ubuntu natty.

No description available for cups-bsd in ubuntu natty.

cups-client: No summary available for cups-client in ubuntu natty.

No description available for cups-client in ubuntu natty.

cups-common: No summary available for cups-common in ubuntu natty.

No description available for cups-common in ubuntu natty.

cups-dbg: No summary available for cups-dbg in ubuntu natty.

No description available for cups-dbg in ubuntu natty.

cups-ppdc: Common UNIX Printing System(tm) - PPD manipulation utilities

 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like. It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides utilities to generate and manipulate PPD files.

cupsddk: No summary available for cupsddk in ubuntu natty.

No description available for cupsddk in ubuntu natty.

libcups2: No summary available for libcups2 in ubuntu natty.

No description available for libcups2 in ubuntu natty.

libcups2-dev: No summary available for libcups2-dev in ubuntu natty.

No description available for libcups2-dev in ubuntu natty.

libcupscgi1: No summary available for libcupscgi1 in ubuntu natty.

No description available for libcupscgi1 in ubuntu natty.

libcupscgi1-dev: No summary available for libcupscgi1-dev in ubuntu natty.

No description available for libcupscgi1-dev in ubuntu natty.

libcupsdriver1: No summary available for libcupsdriver1 in ubuntu natty.

No description available for libcupsdriver1 in ubuntu natty.

libcupsdriver1-dev: No summary available for libcupsdriver1-dev in ubuntu natty.

No description available for libcupsdriver1-dev in ubuntu natty.

libcupsimage2: No summary available for libcupsimage2 in ubuntu natty.

No description available for libcupsimage2 in ubuntu natty.

libcupsimage2-dev: No summary available for libcupsimage2-dev in ubuntu natty.

No description available for libcupsimage2-dev in ubuntu natty.

libcupsmime1: No summary available for libcupsmime1 in ubuntu natty.

No description available for libcupsmime1 in ubuntu natty.

libcupsmime1-dev: No summary available for libcupsmime1-dev in ubuntu natty.

No description available for libcupsmime1-dev in ubuntu natty.

libcupsppdc1: No summary available for libcupsppdc1 in ubuntu natty.

No description available for libcupsppdc1 in ubuntu natty.

libcupsppdc1-dev: No summary available for libcupsppdc1-dev in ubuntu natty.

No description available for libcupsppdc1-dev in ubuntu natty.